nav {
    margin-top: 45px;
    text-align: right;
}

.main-nav {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 4;
}

nav ul li {
    display: inline;
    margin: 0 10px;
}

nav ul li a {
    font-size: 1.0em;
    margin-top: 5px;
    line-height: 1.2;
    display: inline-block;
    padding: 12px;
    color: #fff;
    letter-spacing: 3.2px;
    font-weight: 200;
}

nav ul li .active{
    color: #cccccc;
}

nav ul li .active:after {
    color: #cccccc;
    content: "";
    display: block;
    border-bottom: 1px solid #cccccc;
    padding-bottom: 5px;
    width: 100%;
    transition: all 0.3s ease 0s; 
    -webkit-transition: all 0.3s ease;
}

nav ul li a:hover {
    color: #cccccc;
    transition: all 0.3s ease 0s; 
    -webkit-transition: all 0.3s ease;
}

nav ul li a:after {
    text-align: center;
    content: "";
    display: block;
    border-bottom: 1px solid rgba(255,255,255,0);
    padding-bottom: 5px;
    width: 0%;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
}

nav ul li a:hover:after {
    border-bottom: 1px solid #cccccc;
    width: 100%;
}


#nav-icon {
    width: 50px;
    height: 10px;
    position: relative;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
    cursor: pointer;
}

#nav-icon span {
    display: block;
    position: absolute;
    height: 2px;
    width: 100%;
    background: #fff;
    opacity: 1;
    left: 0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .25s ease-in-out;
    -moz-transition: .25s ease-in-out;
    -o-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
}

#nav-icon span:nth-child(1) {
    top: 0px;
    -webkit-transform-origin: left center;
    -moz-transform-origin: left center;
    -o-transform-origin: left center;
    transform-origin: left center;
}

#nav-icon span:nth-child(2) {
    top: 7px;
    -webkit-transform-origin: left center;
    -moz-transform-origin: left center;
    -o-transform-origin: left center;
    transform-origin: left center;
}

#nav-icon span:nth-child(3) {
    top: 14px;
    -webkit-transform-origin: left center;
    -moz-transform-origin: left center;
    -o-transform-origin: left center;
    transform-origin: left center;
}

#nav-icon.open span:nth-child(1) {
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
    top: -10px;
    left: 8px;
}

#nav-icon.open span:nth-child(2) {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
    top: 25px;
    left: 8px;
}

/*#nav-icon.open span:nth-child(3) {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
    top: 25px;
    left: 8px;
}*/

#nav-icon-inner {
    width: 50px;
    height: 20px;
    position: relative;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
    cursor: pointer;
}

#nav-icon-inner span {
    display: block;
    position: absolute;
    height: 1px;
    width: 100%;
    background: #000;
    opacity: 1;
    left: 0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .25s ease-in-out;
    -moz-transition: .25s ease-in-out;
    -o-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
}

#nav-icon-inner span:nth-child(1) {
    top: 0px;
    -webkit-transform-origin: left center;
    -moz-transform-origin: left center;
    -o-transform-origin: left center;
    transform-origin: left center;
}

#nav-icon-inner span:nth-child(2) {
    top: 7px;
    -webkit-transform-origin: left center;
    -moz-transform-origin: left center;
    -o-transform-origin: left center;
    transform-origin: left center;
}

#nav-icon-inner span:nth-child(3) {
    top: 14px;
    -webkit-transform-origin: left center;
    -moz-transform-origin: left center;
    -o-transform-origin: left center;
    transform-origin: left center;
}

#nav-icon-inner.open span:nth-child(1) {
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
    top: -10px;
    left: 8px;
}

#nav-icon-inner.open span:nth-child(2) {
    width: 0%;
    opacity: 0;
}

#nav-icon-inner.open span:nth-child(3) {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
    top: 25px;
    left: 8px;
}

#pull {
    display: none;
}


@media only screen and (max-width:90.000em) { 

    .main-nav {
        right: 80px;
    }


}


@media only screen and (max-width:45em) { 

nav ul li .active {
    color:#9c9c9c;
}

nav ul li .active:after {
    display: none;
}

nav ul li a:hover:after {
    display: none;


}


